Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'build-kernel/bin/checkJava.sh')
-rwxr-xr-xbuild-kernel/bin/checkJava.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/build-kernel/bin/checkJava.sh b/build-kernel/bin/checkJava.sh
new file mode 100755
index 00000000..3dace27e
--- /dev/null
+++ b/build-kernel/bin/checkJava.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+# Run java version check with the discovered java jvm.
+$JAVA_HOME/bin/java \
+ -classpath $CLASSPATH \
+ org.eclipse.virgo.osgi.launcher.JavaVersionChecker
+
+# If non-zero exit then either we cannot find the check or the java version is incorrect.
+if [ $? != 0 ]
+then
+ exit 1
+fi

Back to the top